Name:           jetty-artifact-remote-resources
Version:        1.0
Release:        5%{?dist}
Summary:        Jetty toolchain artifact remote resources

Group:          Development/Libraries
License:        ASL 2.0 or EPL
URL:            http://www.eclipse.org/jetty/
Source0:        http://git.eclipse.org/c/jetty/org.eclipse.jetty.toolchain.git/snapshot/%{name}-%{version}.tar.bz2
# rpmlint config file (fedpkg lint will use this)
Source1:        .rpmlint
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-remote-resources-plugin >= 1.2.1-3
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  jetty-toolchain

Requires:       maven
Requires:       jetty-toolchain

%description
Jetty toolchain artifact remote resources

%prep
%setup -q

%build
mvn-rpmbuild -X install

%install
# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
install -Dp -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov  8 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-3
- Change remote-resources version compare from > to >=
- Removed generation of javadocs (wasn't working anyway)

* Mon Nov  7 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-2
- Added maven-surefire-provider-junit to BR

* Thu Nov  3 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-1
- Initial version of the package

